Summary: A log file analysis program.
Name: logwatch
Version: 4.3.2
Release: 3.rhel3.XOS.1
License: MIT
Group: Applications/System
URL: http://www.logwatch.org/
Source: ftp://ftp.kaybee.org/pub/linux/logwatch-%{version}.tar.gz
Patch: logwatch-4.3.2-nounicode.patch
Patch1: logwatch-4.3.2-nosegfault.patch
Patch2: logwatch-4.3.2-funkyhn.patch
Patch3: logwatch-4.3.2-automount.patch
Patch4: logwatch-4.3.2-iptables.patch
Patch5: logwatch-4.3.2-up2date.patch
Patch6: logwatch-4.3.2-samba.conf.patch
Patch7: logwatch-4.3.2-cron.patch
Requires: perl textutils sh-utils grep mailx
BuildRoot: %{_tmppath}/logwatch-build
BuildArchitectures: noarch

%description
LogWatch is a customizable log analysis system. LogWatch parses
through your system's logs for a given period of time and creates a
report analyzing areas that you specify, in as much detail as you
require. LogWatch is easy to use and claims that it will work right
out of the package on almost all systems. Note that LogWatch now
analyzes Samba logs.

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%install
rm -rf %{buildroot}
install -m 0755 -d %{buildroot}%{_sysconfdir}/log.d/conf/logfiles
install -m 0755 -d %{buildroot}%{_sysconfdir}/log.d/conf/services
install -m 0755 -d %{buildroot}%{_sysconfdir}/log.d/scripts/services
install -m 0755 -d %{buildroot}%{_sysconfdir}/log.d/scripts/shared

for i in autorpm cron samba up2date xferlog; do
	install -m 0755 -d %{buildroot}%{_sysconfdir}/log.d/scripts/logfiles/$i
	install -m 0755 scripts/logfiles/$i/* %{buildroot}%{_sysconfdir}/log.d/scripts/logfiles/$i
done

install -m 0755 scripts/logwatch.pl %{buildroot}%{_sysconfdir}/log.d/scripts/logwatch.pl
install -m 0755 scripts/services/* %{buildroot}%{_sysconfdir}/log.d/scripts/services

install -m 0755 scripts/shared/* %{buildroot}%{_sysconfdir}/log.d/scripts/shared

install -m 0644 conf/logwatch.conf %{buildroot}%{_sysconfdir}/log.d/conf/logwatch.conf
install -m 0644 conf/logfiles/* %{buildroot}%{_sysconfdir}/log.d/conf/logfiles
install -m 0644 conf/services/* %{buildroot}%{_sysconfdir}/log.d/conf/services

install -m 0755 -d %{buildroot}%{_mandir}/man8
install -m 0644 logwatch.8 %{buildroot}%{_mandir}/man8

rm -f %{buildroot}%{_sysconfdir}/log.d/logwatch \
   %{buildroot}%{_sysconfdir}/log.d/logwatch.conf \
   %{buildroot}%{_sysconfdir}/cron.daily/00-logwatch \
   %{buildroot}%{_sbindir}/logwatch \
   %{buildroot}%{_sysconfdir}/log.d/scripts/services/zz-fortune* \
   %{buildroot}%{_sysconfdir}/log.d/conf/services/zz-fortune* \
   %{buildroot}%{_sysconfdir}/log.d/conf/logfiles/fortune*

ln -s scripts/logwatch.pl %{buildroot}%{_sysconfdir}/log.d/logwatch
ln -s conf/logwatch.conf %{buildroot}%{_sysconfdir}/log.d/logwatch.conf
install -m 0755 -d %{buildroot}%{_sysconfdir}/cron.daily
ln -s ../log.d/scripts/logwatch.pl %{buildroot}%{_sysconfdir}/cron.daily/00-logwatch
install -m 0755 -d %{buildroot}%{_sbindir}
ln -s ../..%{_sysconfdir}/log.d/scripts/logwatch.pl %{buildroot}%{_sbindir}/logwatch

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README HOWTO-Make-Filter
%dir %{_sysconfdir}/log.d
%dir %{_sysconfdir}/log.d/conf
%dir %{_sysconfdir}/log.d/scripts
%dir %{_sysconfdir}/log.d/conf/logfiles
%dir %{_sysconfdir}/log.d/conf/services
%dir %{_sysconfdir}/log.d/scripts/logfiles
%dir %{_sysconfdir}/log.d/scripts/services
%dir %{_sysconfdir}/log.d/scripts/shared
%dir %{_sysconfdir}/log.d/scripts/logfiles/autorpm
%dir %{_sysconfdir}/log.d/scripts/logfiles/cron
%dir %{_sysconfdir}/log.d/scripts/logfiles/samba
%dir %{_sysconfdir}/log.d/scripts/logfiles/up2date
%dir %{_sysconfdir}/log.d/scripts/logfiles/xferlog
%config %{_sysconfdir}/log.d/conf/logwatch.conf
%config %{_sysconfdir}/log.d/conf/services/*
%config %{_sysconfdir}/log.d/conf/logfiles/*
%{_sysconfdir}/log.d/scripts/logwatch.pl
%{_sbindir}/logwatch
%{_sysconfdir}/log.d/scripts/shared/*
%{_sysconfdir}/log.d/scripts/services/*
%{_sysconfdir}/log.d/scripts/logfiles/autorpm/*
%{_sysconfdir}/log.d/scripts/logfiles/cron/*
%{_sysconfdir}/log.d/scripts/logfiles/samba/*
%{_sysconfdir}/log.d/scripts/logfiles/up2date/*
%{_sysconfdir}/log.d/scripts/logfiles/xferlog/*
%{_sysconfdir}/log.d/logwatch
%{_sysconfdir}/log.d/logwatch.conf
%{_sysconfdir}/cron.daily/00-logwatch
%{_mandir}/man8/logwatch.8*

%doc License project/CHANGES project/TODO

%changelog
* Thu May 25 2006 X/OS Linux Team <xoslinux@xos.nl> 4.3.2-3.rhel3.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on logwatch-4.3.2-3.rhel3.src.rpm
  (md5sum of original source rpm: a3cb864525974d8e2a9b7a4ee33047d0).

* Fri Apr 21 2006 Ivana Varekova <varekova@redhat.com> 4.3.2-3.rhel3
- fix #187149 - logwatch samba config doesn't account for gzipped log files
- fix #184102 - logwatch script for cron fails when hostname contains hyphen
- change kernel_iptables_host_min_count support patch

* Thu Apr 13 2006 Ivana Varekova <varekova@redhat.com> 4.3.2-2.rhel3
- fix #133940 - automount script problems
- fix #167348 - kernel_iptables_host_min_count support
- fix #168469 - up2date script problem

* Wed Jul 10 2003 Elliot Lee <sopwith@redhat.com> 4.3.2-2
- Fix #81144 (nounicode), #85551 and part of #97421 (nosegfault), #87483 (funkyhn)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 15 2003 Elliot Lee <sopwith@redhat.com> 4.3.1-1
- Update to new upstream version

* Tue Dec 10 2002 Elliot Lee <sopwith@redhat.com> 4.0.3-3
- Apply patch from #77173

* Wed Oct 16 2002 Elliot Lee <sopwith@redhat.com> 4.0.3-2
- Update to new upstream version

* Thu Aug 08 2002 Elliot Lee <sopwith@redhat.com> 2.6-8
- Apply patch from #68804, #68806

* Mon Jul 15 2002 Elliot Lee <sopwith@redhat.com> 2.6-7
- Fix #68869 (the other half of the expandrepeats job)

* Thu Jul 11 2002 Elliot Lee <sopwith@redhat.com> 2.6-6
- Remove expandrepeats (#67606)
- Patch6 (ftpd-messages.patch) from #68243

* Thu Jun 27 2002 Elliot Lee <sopwith@redhat.com> 2.6-5
- logwatch-2.6-applydate-65655.patch to fix xferlog date parsing
- logwatch-2.6-xinetd_match-65856.patch to match more xinetd lines properly
- logwatch-2.6-confparse-65937.patch to properly parse lines with multiple 
  = chars in them

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Apr 15 2002 Elliot Lee <sopwith@redhat.com> 2.6-2
- Fix #62787 (logwatch-2.6-newline-62787.patch) and #63279 (logwatch-2.6-applystddate-63279.patch)

* Sun Mar 31 2002 Elliot Lee <sopwith@redhat.com> 2.6-1
- Don't trust homebaked tempdir creation - always use mktemp.

* Thu Mar 28 2002 Elliot Lee <sopwith@redhat.com> 2.5-4
- Fix the /tmp race for real
- Merge changes from both spec files.

* Thu Mar 28 2002 Kirk Bauer <kirk@kaybee.org> 2.5-2
- Updated new changes from Red Hat's rawhide packaging

* Tue Sep 04 2001 Elliot Lee <sopwith@redhat.com> 2.1.1-3
- Fix #53077

* Thu Aug 09 2001 Elliot Lee <sopwith@redhat.com> 2.1.1-2
- Fix warning in services/init (#51305) and don't include fortune module 
(#51093).

* Mon May 21 2001 Tim Powers <timp@redhat.com>
- updated to 2.1.1
- adapted changes from Kirk Bauer's spec file into this one

* Sat Aug 5 2000 Tim Powers <timp@redhat.com>
- fix bug #15478, spelling error in the description

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jun 8 2000 Tim Powers <timp@redhat.com>
- fixed man page location to be FHS compliant
- use predefined RPM macros whenever possible

* Mon May 15 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0

* Mon Jul 19 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
- updated source

* Wed Nov 18 1998 Kirk Bauer <kirk@kaybee.org>
- Modified to comply with RHCN standards

* Fri Oct 2 1998 Michael Maher <mike@redhat.com>
- built package

* Sun Feb 23 1998 Kirk Bauer <kirk@kaybee.org>
- Minor changes and addition of man-page

* Sun Feb 22 1998 Kirk Bauer <kirk@kaybee.org>
- initial release
